Subject: Some ftpaccess lines work, some don't

From: Boyd Johnson <[email-masked]>
Date: Fri, 13 Dec 1996 09:27:34 -0800 (PST)

Sorry if you got this before.  I sent it Monday morning and never got it
back from the list.

We are using wu-ftp 2.4 on HP-UX 9.07 and trying to figure out how to
tighten security down a little more, but some of the parameters I've put
into ftpaccess do not seem to work.  All lines below starting with "#"
are the complete, quoted ftpaccess (original of course doesn't start
with "#").  I have "ftpd -l -a" in the inetd.conf file.  Everything not
commented on I believe works fine.  My comments are unquoted and put at
appropriate places.  Do I have something set up wrong?  Is any more
information needed?  The non-working functions I am mainly concerned
about are directory creation and file ownership and mode.

Thanks,

Boyd

# 
# class   all   real,guest,anonymous  *
# 
# limit   all   10   Any              /etc/msgs/msg.dead

limit line doesn't.  Setting it to 1 it still shows 0 users with ftpwho
and ftpcount even when several people are logged in.

# loginfails	3
# deny		!nameserved	/etc/msgs/nonameserver
# readme  README*    login
# readme  README*    cwd=*
# 
# message /welcome.msg            login
# message .message                cwd=*
# 
# upload  /home/ftp  *  no
# upload  /home/ftp/*  *  no
# upload  /home/ftp  /pub/incoming  yes  root  guest   0600      nodirs
# upload  /home/ftp  /pub/cad/incoming  yes  webmaster  guest   0600  nodirs

Directories can be created in incoming and are owned by ftp with mode 775.

# download /home/ftp * yes
# download /home/ftp/ * yes
# path-filter anonymous /etc/msgs/pathmsg ^[-A-Za-z0-9._]*$ ^[.-]

This string works, but the string in "man ftpaccess" does not (see line end):
    path-filter anonymous /etc/pathmsg ^[-A-Za-z0-9._]*$ ^. ^-

# 
# #compress        yes             local remote
# #tar             yes             local remote
# compress        yes             any
# tar             yes             any

tar and compress are not recognized, but are in every $HOME/bin

# chmod		no		anonymous,guest
# umask		no		anonymous,guest
# rename		no		anonymous,guest
# overwrite	no		anonymous,guest
# passwd-check	rfc822		enforce
# 
# log commands real
# log transfers anonymous,guest,real inbound,outbound
# noretrieve /etc/passwd /etc/group /etc/nsswitch.conf /etc/netconfig core /etc/ /bin/
# 
# shutdown /etc/shutmsg
# 
# email [email-masked]
# guestgroup ftponly bt848grp

-- 
=Boyd Johnson [email-masked]  Rockwell Corp, Brooktree Div, San Diego, Ca.=